﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            List<Cube> cub = new List<Cube>();
            cub.Add(new Cube() { Volume = "volume1" });
            cub.Add(new Cube() { Volume = "volume2" });
            cub.Add(new Cube() { Volume = "volume3" });

            List<Cube> cub1 = new List<Cube>();
            cub1.Add(new Cube() { Volume = "volume11" });
            cub1.Add(new Cube() { Volume = "volume22" });
            cub1.Add(new Cube() { Volume = "volume33" });

            List<Catalog> cat = new List<Catalog>();
            cat.Add(new Catalog() { Cubes = cub, Name = "Catalog1" });
            cat.Add(new Catalog() { Cubes = cub1, Name = "Catalog2" });

            List<Server> serv = new List<Server>();
            serv.Add(new Server() { Catalogs = cat, Name = "Server1" });

            this.DataContext = serv;
            
        }
    }

    public class Server
    {
        public string Name { get; set; }
        public List<Catalog> Catalogs { get; set; }   
    }

    public class Catalog
    {
        public string Name { get; set; }
        public List<Cube> Cubes { get; set; }
    }

    public class Cube
    {
        public string Volume { get; set; }
    }
}
